## mrxvt 0.5.4

=== debian/changelog ===
mrxvt (0.5.4-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix CVE-2021-33477.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 09 Jun 2021 15:55:54 +0530

mrxvt (0.5.4-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #698983). Set maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format. Closes: #664313.
  * Add build-arch and build-indep targets. Closes: #822003.
  * Remove generated file "compile" in clean target.
  * Enable hardening by using dpkg-buildflags.
  * Drop unnecessary debian/rules stuff.
  * Raise debhelper compat level to 9.
  * Standards-Version: 3.9.8.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Aug 2016 18:39:04 +0200

mrxvt (0.5.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #662437)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 18:16:58 +0100

mrxvt (0.5.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libjpeg62-dev build-dep with libjpeg-dev (closes: #644066)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:42:45 +0100

mrxvt (0.5.4-1) unstable; urgency=low

  * New upstream version. Closes: #537682.
  * Drop dpatch 16, applied upstream.
  * Bump Standards version to 3.8.2.
  * Clarify GPL version.
  * Reorganize package descriptions in d/control, add Homepage field.
  * Escape a few roff minus signs in mrxvt(1).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 24 Jul 2009 13:44:01 +0100

mrxvt (0.5.3-2) unstable; urgency=low

  * Fix AC_INIT macro. Closes: #456033.
  * Fix another typo. Closes: #483570.
  * Remove constraint for MIN_XFT_FONT_SIZE. Closes: #453720.
  * Document 'xftpsz' option and resource. Closes: #453735.
    Thanks to Adam Katz!
  * Bump Standards version to 3.7.3.
  * Switch to debhelper v7.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 29 May 2008 23:01:22 +0200

mrxvt (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Include upstream changes up to svn254 as dpatch 01SVN to avoid
    having to upload a new tarball each time.
  * Adjust menu files to follow the new policy.
  * Fix manpage typos. Closes: #452643.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 27 Nov 2007 16:21:43 +0100

mrxvt (0.5.2+svn235-1) unstable; urgency=low

  * New upstream SVN snapshot:
    * Add automake/autoconf to build-depends.
    * Add dpatch to build-deps and move all orig changes to patches.
    * Introduce a get-orig-tarball target, and mention
      the svn URI in the copyright file.
    * Merge the macro bindings of upstream's new conffiles and those
      present in 0.5.2 (add new, don't delete old ones).
  * Update README.Debian concerning the acceptable resource names
    in ~/.mrxvtrc. Closes: #303514.
  * Now that the conffile movement is one upstream version away, relax all
    source:Version dependencies to source:Upstream-Version.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 25 Jul 2007 00:08:02 +0200

mrxvt (0.5.2-4) unstable; urgency=low

  * Build-depend on autotools-dev and clean up the config.* mess.
  * Increase MAX_PROFILES to 10 (that's 0 for the default settings
    and nine usable profiles) and edit the corresponding manpage
    paragraphs. Closes: #408631.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 18 Jul 2007 00:30:39 +0200

mrxvt (0.5.2-3) unstable; urgency=low

  * Disable DEBUG_X which upstream had accidentally left turned on.
    Closes: #408632.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 03 Jul 2007 00:01:12 +0200

mrxvt (0.5.2-2) unstable; urgency=medium

  * Acknowledge Stephen Gran's NMU, thanks! Closes: #394778.
    Bug is RC, upload with elevated urgency.
  * Move /etc/mrxvt conffile tree to mrxvt-common, where it belongs.
    Closes: #392497.
  * Prevent mrxvt from segfaulting when PrintScreen is pressed and
    lpr is not installed. The SIGPIPE problem had already been fixed
    upstream in the meantime, but a few null pointer checks were
    missing. Closes: #362866.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 29 Oct 2006 01:33:41 +0200

mrxvt (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't use $ on arm (closes: #394778)

 -- Stephen Gran <sgran@debian.org>  Sat, 28 Oct 2006 18:55:27 +0100

mrxvt (0.5.2-1) unstable; urgency=low

  * New maintainer. Thanks to Qingning Huo for his work!
  * Upstream release jump (closes #375793):
    * Numerous changes and bugfixes. Have a look at upstream's
      changelog for a complete list. One prominent change:
    * New configuration directory /etc/mrxvt with default
      macro and menu definitions.
  * New watch file.
  * Clarified copyright file (inserted GPL paragraph).
  * Undo upstream's bzip compression of doc files - I like
    consistency. New build-dep on bzip2.
  * Bump Standards version to 3.7.2 (no changes) and debhelper
    level to 5.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 07 Oct 2006 18:42:09 +0200

mrxvt (0.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #341031).
  - Many bug fixes.
  - Default max number of tabs become 15 (Closes: #309050).
  * Update to Standards-Version: 3.6.2.
  * Update debian/watch.

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon, 28 Nov 2005 21:44:46 +0000

mrxvt (0.4.1-3) unstable; urgency=low

  * Fix portability problem on ia64 (Closes: #312710).
  - Add CPPFLAGS=-D_GNU_SOURC for strndup().
  - Use uintptr_t to define u_intp_t. 

 -- Qingning Huo <qhuo@mayhq.co.uk>  Mon, 13 Jun 2005 22:02:03 +0100

mrxvt (0.4.1-2) unstable; urgency=low

  * New upstream release (upload to unstable).

 -- Qingning Huo <qhuo@mayhq.co.uk>  Wed,  9 Jun 2005 08:07:22 +0100

mrxvt (0.4.1-1) experimental; urgency=low

  * New upstream release.


