=== debian/control ===
Source: mrxvt
Section: x11
Priority: optional
Homepage: http://materm.sourceforge.net
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), bzip2, libfreetype6-dev, libice-dev, libjpeg-dev, libpng-dev, libx11-dev, libxft-dev, libxpm-dev, libxrender-dev, automake, autoconf, autotools-dev
Standards-Version: 3.9.8

Package: mrxvt-common
Architecture: all
Replaces: mrxvt (<< 0.5.2-2), mrxvt-cjk (<< 0.5.2-2), mrxvt-mini (<< 0.5.2-2)
Description: lightweight multi-tabbed X terminal emulator - common files
 Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window system. It
 features multi-tab support, fast pseudo-transparent background, user supplied
 XPM/JPEG/PNG images for background, tinting, off-focus fading, text shadow,
 NeXT/Rxvt/Xterm/SGI/Plain style scrollbars, XIM and multi-languages
 (Chinese/Korea/Japanese), and logging.
 .
 Mrxvt does NOT require KDE or GNOME desktop environment.
 .
 This package contains the arch independent common files.

Package: mrxvt
Architecture: any
Depends: ${shlibs:Depends}, mrxvt-common (>= ${source:Upstream-Version})
Provides: x-terminal-emulator
Description: lightweight multi-tabbed X terminal emulator - complete version
 Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window system. It 
 features multi-tab support, fast pseudo-transparent background, user supplied 
 XPM/JPEG/PNG images for background, tinting, off-focus fading, text shadow, 
 NeXT/Rxvt/Xterm/SGI/Plain style scrollbars, XIM and multi-languages 
 (Chinese/Korea/Japanese), and logging.
 .
 Mrxvt does NOT require KDE or GNOME desktop environment.
 .
 This package contains mrxvt compiled with all available features.

Package: mrxvt-mini
Architecture: any
Depends: ${shlibs:Depends}, mrxvt-common (>= ${source:Upstream-Version})
Provides: x-terminal-emulator
Description: lightweight multi-tabbed X terminal emulator - minimalistic version
 Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window system. It 
 features multi-tab support, fast pseudo-transparent background, user supplied 
 XPM/JPEG/PNG images for background, tinting, off-focus fading, text shadow, 
 NeXT/Rxvt/Xterm/SGI/Plain style scrollbars, XIM and multi-languages 
 (Chinese/Korea/Japanese), and logging.
 .
 Mrxvt does NOT require KDE or GNOME desktop environment.
 .
 This package contains a minimalistic version of mrxvt compiled without
 any additional features.

Package: mrxvt-cjk
Architecture: any
Depends: ${shlibs:Depends}, mrxvt-common (>= ${source:Upstream-Version})
Provides: x-terminal-emulator
Description: lightweight multi-tabbed X terminal emulator - CJK version
 Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window system. It 
 features multi-tab support, fast pseudo-transparent background, user supplied 
 XPM/JPEG/PNG images for background, tinting, off-focus fading, text shadow, 
 NeXT/Rxvt/Xterm/SGI/Plain style scrollbars, XIM and multi-languages 
 (Chinese/Korea/Japanese), and logging.
 .
 Mrxvt does NOT require KDE or GNOME desktop environment.
 .
 This package contains a minimalistic version of mrxvt compiled with
 support for the Chinese/Japanese/Korean multichar languages.
