## mrxvt 0.5.4-maemo1

=== debian/changelog ===
mrxvt (0.5.4-maemo1) unstable; urgency=low

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 17 Aug 2011 16:08:01 +0200
