=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mrxvt
 Section: x11
 Priority: optional
-Homepage: http://materm.sourceforge.net
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), bzip2, libfreetype6-dev, libice-dev, libjpeg-dev, libpng-dev, libx11-dev, libxft-dev, libxpm-dev, libxrender-dev, automake, autoconf, autotools-dev
-Standards-Version: 3.9.8
+Homepage: http://materm.sourceforge.net/wiki/Main/HomePage
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
+Build-Depends: debhelper (>= 7), dpatch, bzip2, libfreetype6-dev, libice-dev, libjpeg62-dev, libpng12-dev, libx11-dev, libxft-dev, libxpm-dev, libxrender-dev, automake, autoconf, autotools-dev
+Standards-Version: 3.8.2
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 
 Package: mrxvt-common
 Architecture: all
