=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 BUILDDIR = $(CURDIR)/debian/build
 VARIANTS = mrxvt mrxvt-cjk mrxvt-mini
@@ -30,10 +26,13 @@
 CONFIG_mrxvt-mini = $(CFG1) $(CFG_mrxvt-mini) $(CFG2) --program-suffix=-mini
 
 clean: $(foreach v,$(VARIANTS),clean-$(v))
+	dh_testdir
+	dh_testroot
 	rm -f build-stamp* install-stamp* configure-stamp
 	rm -rf $(BUILDDIR)
 	find . -name config.sub -or -name config.guess -or -name Makefile.in | xargs rm -f
-	rm -f missing aclocal.m4 install-sh config.h.in configure compile
+	rm -f missing aclocal.m4 install-sh config.h.in configure
+	dpatch deapply-all
 	dh_clean 
 
 clean-%:
@@ -43,22 +42,23 @@
 
 configure: configure-stamp
 configure-stamp:
+	dh_testdir
 	dh_prep
+	dpatch apply-all
 	cp /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	chmod 0755 bootstrap.sh
 	./bootstrap.sh
 	touch $@
 	
-build-arch: build
-build-indep: build
 build: configure build-stamp
 build-stamp: $(foreach v,$(VARIANTS),build-stamp-$(v))
 	touch $@
 
 build-stamp-%:
+	dh_testdir
 	mkdir -p $(BUILDDIR)/$(*)
 	cd $(BUILDDIR)/$(*) && ../../../configure \
-		$(CONFIG_$(*)) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+		$(CONFIG_$(*))
 	$(MAKE) -C $(BUILDDIR)/$(*)
 	touch $@
 
@@ -67,6 +67,8 @@
 	touch $@
 
 install-stamp-%:
+	dh_testdir
+	dh_testroot
 	$(MAKE) -C $(BUILDDIR)/$(*) install DESTDIR=$(CURDIR)/debian/$(*)
 	rm -rf $(CURDIR)/debian/$(*)/usr/share
 	ext=$(*); ext=$${ext#mrxvt}; test -n "$$ext" || ext=-full; \
@@ -84,6 +86,8 @@
 	touch $@
 
 binary-indep:
+	dh_testdir
+	dh_testroot
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_installman -i doc/mrxvt.1
@@ -98,6 +102,8 @@
 	dh_builddeb -i
 
 binary-arch: build install
+	dh_testdir
+	dh_testroot
 	dh_installmenu -a
 	dh_link -a
 	dh_compress -a
@@ -120,4 +126,4 @@
 	  tar czf mrxvt_0.5.2+svn$$HEADREV.orig.tar.gz mrxvt-0.5.2+svn$$HEADREV; \
 	cd ../..; # rm -rf debian/.tmp
 
-.PHONY: clean configure build build-arch build-indep install binary-indep binary-arch binary get-orig-tarball
+.PHONY: clean configure build install binary-indep binary-arch binary get-orig-tarball
